      SUBROUTINE HPLOTS                                                 HPLO001
C-----------------------------------------------------------------------HPLO002
C                                                                       HPLO003
C  SUBROUTINE HPLOTS  -  Initialise variables for histogram plots       HPLO004
C                                                                       HPLO005
C----------------------------------------------------------------------+HPLO006
                                                                        HPLO007
      INCLUDE 'bplot.inc'                                               HPLO008
      !MS$DEBUG
                                                                        HPLO009
CHECK v.3.2-->                                                          HPLO010
      CHARACTER*79  BLNKLN                                              HPLO011
      DATA BLNKLN( 1:40) / ' |                                      ' / HPLO012
      DATA BLNKLN(41:79) / '                                      |'  / HPLO013
CHECK v.3.2<--                                                          HPLO014
                                                                        HPLO015
C---- Compute bounds for each plot                                      HPLO016
      CALL HBOUND                                                       HPLO017
      IF (IFAIL) GO TO 999                                              HPLO018
                                                                        HPLO019
C---- Count up the numbers of values in each histogram bar              HPLO020
      CALL HCOUNT                                                       HPLO021
      IF (IFAIL) GO TO 999                                              HPLO022
                                                                        HPLO023
C---- Plot the graphs for the bond lengths                              HPLO024
      IF (PLOTBL .AND. TOPLOT(1)) CALL BARPLT('L')                      HPLO025
                                                                        HPLO026
C---- Plot the graphs for the bond angles                               HPLO027
      IF (PLOTBA .AND. TOPLOT(2)) CALL BARPLT('A')                      HPLO028
                                                                        HPLO029
C---- Plot the graphs for the planar groups                             HPLO030
      IF (PLOTPL .AND. TOPLOT(3)) CALL BARPLT('P')                      HPLO031
                                                                        HPLO032
CHECK v.3.2-->                                                          HPLO033
C---- Write out blank line to summary file                              HPLO034
      IF (TOPLOT(1) .OR. TOPLOT(2) .OR. TOPLOT(3)) THEN                 HPLO035
          WRITE(14,100) BLNKLN                                          HPLO036
 100      FORMAT(A)                                                     HPLO037
      ENDIF                                                             HPLO038
CHECK v.3.2<--                                                          HPLO039
                                                                        HPLO040
 999  CONTINUE                                                          HPLO041
      RETURN                                                            HPLO042
      END                                                               HPLO043
